{ -----------------------------------------------------------------------
Tcl Scripting Language Components (Tslc)
Copyright (C) 1996-2002 William Byrne

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

WilliamB@ByrneLitho.com
------------------------------------------------------------------------}
unit TslcKey;

interface

function TslcGetStaticKey: pChar;
function TslcGetSecondaryKey: pChar;

implementation


// The following keys can be loaded from a secondary secure storage.

// This will typically be used at start-up to set the StaticKey.
function TslcGetStaticKey: pChar;
begin
	// Created by GenStaticKey - use Script or Machine
    result := '837B33CBB3EC238B035B033B13AB64EB536B040BD3ABB3FB'; // "PrimeKey"

end;

// This will be used for Encoding and Decoding at the script level. Also used by LockBox
function TslcGetSecondaryKey: pChar;
begin
	// Created by StaticEncrypt - use Script or Machine
    result := '033B64DBA4BB23DC546C73DB03AB74DC147B041BB3CB04BB'; // "MyKey" from Static "PrimaryKey"
end;


end.
